## drivel 3.0.5

=== debian/changelog ===
drivel (3.0.5-1) unstable; urgency=low

  * New upstream release
  * Adds linkage for math symbols using -lm (Closes: #713482)

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Jul 2013 16:09:20 +0100

drivel (3.0.4-1) unstable; urgency=low

  * New upstream release
  * [i18n] French runtime messages translation (Closes: #661439)
  * Drop shlibs.local (Closes: #701627)
  * Drop -Werror from default build. (Closes: #707371)
  * Implement hardening flags in debian packaging.
  * Update SVN locations for SourceForge changes.
  * Add source format.

 -- Neil Williams <codehelp@debian.org>  Sun, 19 May 2013 19:30:35 +0100

drivel (3.0.3-1) unstable; urgency=low

  * Retain useful debugging markers with gcc-4.6 -Werror
    behaviour. (Closes: #625329)

 -- Neil Williams <codehelp@debian.org>  Sat, 07 May 2011 12:13:12 +0100

drivel (3.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #589141)
  * drivel: [INTL:pt] Updated Portuguese translation for package
    messages. (Closes: #582728)
  * drivel: [INTL:pt] Updated Portuguese translation for help
    manual. (Closes: #582729)
  * [l10n:cs] Updated Czech translation of package drivel
    (Closes: #590596)

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Jul 2010 20:37:22 +0100

drivel (3.0.1-1) unstable; urgency=low

  * New upstream version (LP: #83788)
    (LP: #442180) (LP: #122016)
  * [l10n:cs] Updated Czech translation of drivel manual.
    (Closes: #552620)
  * Add -Wl,--no-add-needed in extra-compile-warning mode to
    catch missing linkages. Add -ldl to drivel LDFLAGS.
    (Closes: #554308)
  * [I18N:fr] French program translation (Closes: #574489)

 -- Neil Williams <codehelp@debian.org>  Wed, 12 May 2010 12:12:15 +0100

drivel (3.0.0-2) unstable; urgency=low

  * Override compile flags with -Wno-error as a temporary fix
    until 3.0.1 is ready upstream. (Closes: #549355)

 -- Neil Williams <codehelp@debian.org>  Sun, 04 Oct 2009 11:05:59 +0100

drivel (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Includes Moveable-Type tags support (Closes: #522649)
  * drop dh_scrollkeeper (deprecated).
  * Update VCS fields for Sourceforge.
  * Update Copyright info with removal of libegg.
  * Add shlibs.local to force gtk 2.16.5 for GtkBuilder support
  * Drop libcurl4-gnutls-dev build-depends - no longer needed upstream.
  * Migrate from deprecated libgtksourceview1.0 (Closes: #541960)
  * Allows selectable font (LP: 83788)
  * [l10n:cs] Updated Czech translation (Closes: #545180)
  * [INTL:pt] Updated Portuguese translation for drivel (Closes: #544963)
  * [INTL:ru] Russian program translation update (Closes: #546000)
  * [INTL:es] Spanish translation for drivel (Closes: #545942)
  * [INTL:pt] Portuguese translation for Drivel Manual. (Closes: #547354)
  * [INTL:vi] Vietnamese program translation update. (Closes: #547799)

 -- Neil Williams <codehelp@debian.org>  Fri, 02 Oct 2009 12:48:17 +0100

drivel (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * [INTL:ru] Russian program translation update (Closes: #521452)
  * [INTL:pt] Updated Portuguese translation (Closes: #521903)
  * Update Standards Version (no changes)
  * Drop previous patches and dpatch support, patches implemented
    upstream.
  * Switch to libcurl4-gnutls-dev instead of libcurl4-openssl-dev
    to avoid linked against OpenSSL (Closes: #522335)
  * Add LiveJournal tags support (Closes: #465805)
  * [INTL:ru] Russian program translation update - added string
    (Closes: #522661)
  * [INTL:it] New Italian translation (Closes: #523425)
  * Add gnome-doc-utils to build-depends

 -- Neil Williams <codehelp@debian.org>  Fri, 17 Apr 2009 13:44:25 +0100

drivel (2.0.3-4) unstable; urgency=low

  * Take over maintenance from Neil McGovern - thanks for
    all your work, Neil.
  * Incorporate NMU by Moritz Muehlenhoff <jmm@debian.org>
  * Add Homepage field
  * Update Debian menu structure - removes lintian warnings
  * Update clean rule - remove lintian warning
  * add xcontrol file
  * Add watch file
  * update to debhelper 5
  * Patch from Ubuntu: - debian/rules: add dh_icons
  * Migrate previous changes into patches for dpatch.
  * Include the Ubuntu patch for the blogger URL.
  * Update copyright and use machine-operable fields.
  * Drop rhythmbox from build-depends - no longer provides IDL and
    query_music_players uses DBUS at runtime. (LP: #135253)

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2009 16:04:58 +0000

drivel (2.0.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Deprecate Freetype 1 (Closes: #473483)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 24 Apr 2008 23:30:51 +0200

drivel (2.0.3-3) unstable; urgency=low

  * Remove build-dep on libart-dev

 -- Neil McGovern <neilm@debian.org>  Mon, 11 Feb 2008 16:40:30 +0000

drivel (2.0.3-2) unstable; urgency=low

  * Removed undeeded code which causes FTBFS. Thanks to Margarita Manterola
    <marga@marga.com.ar> (Closes: #381997)

 -- Neil McGovern <neilm@debian.org>  Wed, 16 Aug 2006 07:20:30 +0100

drivel (2.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #381664)
  * ACK NMU (Closes: #337872)
  * Fetches correct metadata (pictures, sound etc) from old entries
    (Closes: #353704)
  * No longer crashes when trying to access non-existant entry
    (Closes: #333868)
  * Updated policy version to 3.7.2
  * Updated description - now supports lots of other blog formats

 -- Neil McGovern <neilm@debian.org>  Sun,  6 Aug 2006 12:16:32 +0100

drivel (2.0.2-5.1) unstable; urgency=low

  * Non-maintainer upload
  * Fixes FTBFS on Alpha (closes: Bug#337872)

 -- Ben Hutchings <ben@decadentplace.org.uk>  Tue, 14 Mar 2006 20:54:48 +0000

drivel (2.0.2-5) unstable; urgency=low

  * Depends on libxml-parser-perl rather than gnome-common. Thanks to Loic
    Minier <lool@dooz.org> (closes: Bug#335366)
  * Uses dh_gconf to move schemas from /etc. Thanks to Josselin Mouette
    <joss@debian.org> (closes: Bug#340523)

