=== debian/control ===
Source: drivel
Section: net
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 5.0.51~), dpkg-dev (>= 1.16.1~),
  xsltproc, intltool, docbook-xsl,
 gnome-doc-utils, libtool, libxml-parser-perl, rarian-compat,
 libdbus-glib-1-dev,
 libgconf2-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libgnomevfs2-dev (>= 2.6.0),
 libgtksourceview2.0-dev,
 libgtkspell-dev,
 libsoup2.4-dev,
 libxml2-dev
Standards-Version: 3.9.4
Homepage: http://drivel.sourceforge.net/
Vcs-Browser: http://sourceforge.net/p/drivel/code/HEAD/tree/trunk/
Vcs-Svn: svn://svn.code.sf.net/p/drivel/code/trunk/

Package: drivel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blogging client for the GNOME desktop
 Drivel is a GTK+ client for working with online journals, also known as
 weblogs or blogs. It retains an elegant design while supporting LiveJournal,
 Blogger, MovableType, Advogato, and Atom journals, as well as derivatives such
 as WordPress and Drupal.
 .
 It allows you to perform most functions that are supported by the server
 (posting, friends editing, friend page checking, post editing etc).
